Install script for ARMPL failing on Oracle Linux

When I run ./arm-compiler-for-linux_21.0_RHEL-8.sh (the closest match I found for Oracle Linux), it gives me the error that environment-modules is not installed.  So I went to great lengths to install it, only to get the same error.  It said for further instructions on installing ARMPL to go here, to this forum, but surely there's something like a wiki page somewhere?

Can anyone point to information as to how to get the install script to work?

Thanks so much,

- Jeff